--
-- TR_Hud.lua
-- HUD related functions
-- 
-- By Flame
-- 3/30/20
--

TR.HUD = {}

TR.HUD.ctrlmsg = function(v, p, c)
	if (gametype == GT_TRON)
		if not (v or v.valid) then return end
		if not (p or p.valid) then return end
		
		-- Middle of the screen
		local offset = {}
		offset.x = (v.width() / v.dupx())-((v.width() / v.dupx())/7)
		offset.y = (v.height() / v.dupy())/2
		local vidflags = V_SNAPTOLEFT|V_SNAPTOTOP|V_ALLOWLOWERCASE|V_PERPLAYER
		local str

		if (TR.Game.ControlStyle(p) == 6)
			str = "'Simple' Controls are not supported in Tron!\n"+
					"       Please modify your control scheme!"

			if (p.playerstate == PST_REBORN)
				S_StartSound(nil, sfx_strpst)
			end
			
			if p.respawntimer and p.powers[pw_flashing] and ((leveltime%TICRATE) < TICRATE/2)
				v.drawString(offset.x, offset.y, str, vidflags, "center")
			end
		end
		
		/*if p.kamialert
			str = "You are in range of a Kamikaze attack!\n"+
					"              RUN AWAY!"
			
			v.drawString(offset.x-60, offset.y-offset.y+12, str, vidflags, "center")
		end*/
	end
end