--
-- TRON-Mobj.lua
-- Execute player related functions from TR_Gameplay.Lua
-- 
-- By Flame
-- 3/30/20
--

-- Collide with a wall.
addHook("MobjLineCollide", function(mo, line)
	if (gametype == GT_TRON)
		TR.Game.tronLineCollide(mo, line)
	end
end, MT_PLAYER)

-- Collide with a thing.
addHook("MobjCollide", function(thing, tmthing)
	if (gametype == GT_TRON)
		TR.Game.tronThingCollide(thing, tmthing)
	end
end, MT_PLAYER)

-- Upon death, do some fancy effects
addHook("MobjDeath", function(mo)
	if (gametype == GT_TRON)
		TR.Game.tronDeath(mo)
	end
end, MT_PLAYER)

-- Thinker objects for Tron things!
addHook("MobjThinker", function(mo)
	if (gametype == GT_TRON)
		TR.Game.tronThingThinker(mo)
	end
end, MT_TRONTRAIL)

addHook("MobjThinker", function(mo)
	if (gametype == GT_TRON)
		TR.Game.tronThingThinker(mo)
	end
end, MT_PHANTOMTRAIL)

addHook("MobjThinker", function(mo)
	if (gametype == GT_TRON)
		TR.Game.tronThingThinker(mo)
	end
end, MT_KAMIKAZESHIELD)

addHook("MobjThinker", function(mo) 
	if (gametype == GT_TRON)
		TR.Game.tronThingThinker(mo)
	end
end, MT_KAMIKAZEGATHER)

addHook("MobjThinker", function(mo) 
	if (gametype == GT_TRON)
		TR.Game.tronThingThinker(mo)
	end
end, MT_KAMIKAZEALERT)

-- Fuse timer for Tron things!
addHook("MobjFuse", function(mo)
	if gametype == GT_TRON
		TR.Game.fuseThinker(mo)
	end
end, MT_KAMIKAZEALERT)

-- Override special touches!
for _, mt in ipairs(vanillacollectables)
addHook("TouchSpecial", TR.Game.tronSpecialTouch, mt)
end